// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "display/shader/Shader.hpp"

namespace Dawn {
  class ExampleSpin : public SceneItemComponent {
    public:
      static SceneItem * create(Scene *scene);

      ExampleSpin(SceneItem *item);
      void onUnpausedUpdate();
      void onDispose() override;
  };
}